stages:
  - build
  - test
  - deploy

builder:
  stage: build
  tags:
    - Y-Book
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind
  variables:
    GIT_STRATEGY: none
  script:
    - echo "Build stage..."
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t registry.gitlab.com/belloc.benoitjean/ybook-front:latest .
    - docker push

tester:
  stage: test
  tags:
    - Y-Book
  script:
    - echo "Test stage"

deployer:
  stage: deploy
  tags:
    - Y-Book
  variables:
    GIT_STRATEGY: none
  script:
    - echo "Deploy stage"
    - docker login $CI_REGISTRY -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD
    - docker run -d -p 80:80 registry.gitlab.com/belloc.benoitjean/ybook-front:latest
  dependencies:
    - builder